import 'dart:io';

import 'package:flex/flex.dart';

/// Example of a [PatientStreamQueue], closed with waiting enabled.
Future<void> main(List<String> arguments) async {
  final waiting = PatientStreamQueue<String>();
  waiting.add('Hello!');
  waiting.add('How are you?');
  waiting.add('> I am good.');
  var sub = waiting.listen(print);
  waiting.add('That is good!');
  waiting.add('What\'s up?');
  await waiting.flushed;
  await sub.cancel();
  print('// we cancelled the subscription. the next 2 elements added won\'t show up in the console until after we listen again.');
  waiting.add('I say what\'s up?!');
  waiting.add('Why aren\'t you talkin\' to me?');
  sub = waiting.listen(print);
  print('// we listen again.');
  waiting.add('> Chill, chill, I\'m right here maaannnn.');
  await waiting.close();
  exit(0);
}
