import 'dart:io';

import 'package:intl/intl.dart';

/// A DateFormat implementing ISO 8601 without timezone
final iso8601NoTZ = DateFormat('yyyy-MM-ddTHH-mm-ss.SSS');

/// The user's home directory
/// 
/// Only support on Linux, macOS, Windows and Android.
Directory get userHome => Directory(Platform.isLinux || Platform.isMacOS ? Platform.environment['HOME'] ?? (throw StateError('HOME not defined in environment.')) : Platform.isWindows ? Platform.environment['USERPROFILE'] ?? (throw StateError('USERPROFILE not defined in environment.')) : Platform.isAndroid ? '/sdcard' : throw UnsupportedError('userHome is not supported on ${Platform.operatingSystem}.'));

/// A [RegExp] pattern for all horizontal whitespace characters,
final whitespacePattern = RegExp(r'\p{Blank}');
