import 'package:flex/flex.dart';

import 'test_core.dart';

Future<void> main() async {
  await Runner([
    Group(
      id: 'iterable_extensions',
      description: 'Tests relating to extension methods on [Iterable]s.',
      children: [
        Test(
          id: 'insensitive_contains',
          description: 'Testing that the [Iterable.insensitiveContains] extension method works as intended.',
          function: (pause, resume) async {
            try {
              assert(['UwU'].insensitiveContains('uWu') == true, 'When using insensitiveContains, case should be ignored.');
            } on AssertionError catch (e) {
              return AssertionTestResult('waiting_nosync', e);
            } catch (e, st) {
              return ErrorTestResult('waiting_nosync', e, st);
            }

            return const SuccessTestResult('waiting_nosync');
          },
        ),
      ],
    ),
  ]).test();
}
